<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZSample0014EditViewBase from './ibizsample0014-edit-view-base.vue';

import view_form from '@widgets/ibizsample0014/main-form/main-form.vue';
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZSample0014EditView extends IBIZSample0014EditViewBase {

}
</script>